<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="Common">
  <sql id="Example_Where_Clause">  	
    	<if test="whereClause != null">
      		where ${whereClause} 
    	</if>
    	<if test="orderByClause != null">
      		order by ${orderByClause}
    	</if>
    	<if test="page != null" >
      		limit ${page.beginIndex},${page.pageSize}
    	</if>
  </sql>
</mapper>